承载协议 | HTTP POST |
|---|---|
接口方向 | 开发者回调接口服务器->分析服务服务器 |
接口URL | {rootUrl}/analytics/gdpr/user_data_export_tasks/v2 说明: {rootUrl}:请参见接口访问路径获取。 |
数据格式 | 响应消息:Content-Type: application/json |
Request Header
参数 | 是否必选 | 参数类型 | 描述 |
|---|---|---|---|
x-product-id | 是 | String | 用户在AppGallery Connect上的Product ID。 |
x-app-id | 是 | String | 用户在AppGallery Connect上的App ID。 |
Authorization | 是 | String | 鉴权信息。请参见基于OAuth 2.0开放鉴权。 说明: Bearer后面拼接空格,再拼接获取的access_token。 |
Request Body
POST /analytics/gdpr/user_data_export_tasks/v2 HTTP/1.1
Content-Type: application/json; charset=UTF-8
Content-Length: xxxx
Accept: application/json
Authorization: Bearer ***
x-product-id: sample-productid
x-app-id: sample-appid
{
"aaid":"sample-aaid"
} 状态码为200时:
Response Header
参数 | 是否必选 | 参数类型 | 描述 |
|---|---|---|---|
Content-Type | 是 | application/json | 响应消息的数据格式。 |
Response Body
参数 | 是否必选 | 参数类型 | 描述 |
|---|---|---|---|
result_code | 是 | String | 响应码,请参见错误码。 |
result_msg | 是 | String | 响应描述。 |
task_list | 是 | List<UserDataExportInfo> | 任务列表。 |
UserDataExportInfo数据结构说明
状态码为200时:
HTTP/1.1 200 OK Content-Type: application/json; charset=UTF-8 Connection: Close Content-Length: xxxx { "result_code":"0", "result_msg":"success", "task_list":[{ "request_id":"12345678", "request_time":"datetime", "status":"EXPORTED", "status_time":"datetime", "file_path":"https://xxx/xxx.xx" }] }